Package libxyz :: Package ui :: Module xyzlistbox :: Class XYZListBox

[hide private]
[frames] | no frames]

# Class XYZListBox

source code

    lowui.WidgetWrap --+
                       |
                      XYZListBox

Simple list box

Instance Methods | [hide private]

__init__(self, xyz, body, walker, title, dim=None) | source code

show(self, dim=None, exit_keys=None) Show list | source code

set_title(self, title) Change title | source code

_attr(self, name) Find palette | source code

_get_dim(self) | source code

Class Variables | [hide private]

| resolution = `u"list_box", u"box", u"widget"`

Method Details | [hide private]

### __init__(self, xyz, body, walker, title, dim=None)
(Constructor)

source code

Parameters:
  - `xyz` - XYZ data
  - `body` - Top-level widget
  - `walker` - SimpleWalker or any walker-like instance
  - `title` - ListBox title

    Required resources: title, border, box, selected